/*************************************************************************
 * ODEVS-C++: Open Source of DEVS in C++                                 *
 * Copyright (C) 2005-2006  Moon Ho Hwang <moonho.hwang@gmail.com>       *
 *                                                                       *
 * This library is free software; you can redistribute it and/or         *
 * modify it under the terms of the GNU Lesser General Public            *
 * License as published by the Free Software Foundation; either          *
 * version 2.1 of the License, or (at your option) any later version.    *
 *                                                                       *
 * This library is distributed in the hope that it will be useful,       *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      *
 * Lesser General Public License for more details.                       *
 *                                                                       *
 * You should have received a copy of the GNU Lesser General Public      *
 * License along with this library; if not, write to the Free Software   *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, *
 * USA.                                                                  *
 *************************************************************************/
#pragma once

#if defined(WIN32)
#	if defined(ODEVS_EXPORT)
#		define ODEVS_EXP _declspec(dllexport)
#	else
#		define ODEVS_EXP _declspec(dllimport)
#		if defined(_DEBUG)
#			pragma message( "===== Debug Build Mode: ODEVSD.lib automatically linked! =====" ) 
#			pragma comment( lib, "ODEVSD.lib" ) 
#		else
#			pragma message( "===== Release Build Mode: ODEVS.lib automatically linked! =====" ) 
#			pragma comment( lib, "ODEVS.lib" ) 
#		endif  // (_DEBUG) Enforcing Library Linking
#	endif // (ODEVS_EXPORT)
#else // (WIN32)
#	define ODEVS_EXP
#endif// (WIN32)

